# View the official [AppFlowy public roadmap](https://github.com/orgs/AppFlowy-IO/projects/5/views/12)
Our [roadmap](https://github.com/orgs/AppFlowy-IO/projects/5/views/12) is where you can learn about the features we’re working on, their status, when we expect to release them, and how you can help us. Have any questions or comments about items on the roadmap? Or feedback about the roadmap itself, such as how issues are presented? Share your feedback via the [discussions](https://github.com/AppFlowy-IO/AppFlowy/discussions).


## Guide to the roadmap

### Labels
Every item on the roadmap is an issue, with labels that indicate each of the following:
- bug: something needs fixing
- new feature: this is something new for the end user
- improvements: an improvement on an existing feature
- documentation: this is a documentation task
- needs design: this requires a design spec
- grid: features related to Flowy Grid
- editor: features related to Flowy Editor
- help-wanted: for the community members to claim
- first time issue for devs: for the community members to claim
- first time issue for experienced devs: for the experienced community developers to claim

### Item Status
“Status” indicates the stages that the feature goes through, from “Need triage” to “Done”. Most of the options are self explanatory.:
- Need triage
- Need test for Windows / Linux / macOS
- Wait for reporter
- Ready for assess
- Planned: included in our plan
- Not Planned: decided against it
- ToDo: in the queue of the upcoming development (next two releases)
- In progress: currently in development
- Blocked: have started but can’t proceed as it is blocked by something
- Done: the development is finished and merged into the main branch


### Milestones
The roadmap is arranged on a project board to give a sense of how far out each item is on the horizon. If a feature is planned, it is already or will be added to a particular milestone, aka release. For example, “Implement FlowyEditor’s RichText component” is added to v0.0.7. You will also find issues that are not planned for which no milestone is yet available. In addition, you can see a list of milestones that are already planned and track their progress [here](https://github.com/AppFlowy-IO/AppFlowy/milestones).

### Views
To easily track the project based on your interest, we organize issues into different views as follows:
- [Roadmap](https://github.com/orgs/AppFlowy-IO/projects/5/views/12)
- [v0.0.x](https://github.com/orgs/AppFlowy-IO/projects/5/views/1)
- [Upcoming](https://github.com/orgs/AppFlowy-IO/projects/5/views/3)
- [Help Wanted](https://github.com/orgs/AppFlowy-IO/projects/5/views/4)
- [Editor](https://github.com/orgs/AppFlowy-IO/projects/5/views/5)
- [Grid](https://github.com/orgs/AppFlowy-IO/projects/5/views/6)
- [Bug Tracker](https://github.com/orgs/AppFlowy-IO/projects/5/views/9)

If you are interested in contributing to AppFlowy, please have a look at the “[Help Wanted](https://github.com/orgs/AppFlowy-IO/projects/5/views/4)” tab where we maintain a list of issues open to the community.
Flowy Editor and Flowy Grid are two key components AppFlowy offers. Flowy Editor is a rich-text editor. Flowy Grid is a database component that can be inserted into Flowy Editor. Both components are developed by AppFlowy’s team from the ground up. You can use the “Editor” and the “Grid” tab to track the development progress of these two components.

## Disclaimer
The roadmap is subject to change, especially further out on the timeline. Any statement in this repository that is not purely historical is considered a forward-looking statement. The forward-looking roadmap does not represent a commitment, guarantee, obligation or promise to deliver any product or feature, or the deliver any product and feature by any particular date, and is intended to outline the general development plans.


## Acknowledgements
This article is adapted from GitHub public roadmap’s [README.md](https://github.com/github/roadmap)

